commit:     2648e5833dfdbdfd494313fd85f0cb8581758061
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  7 14:19:32 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr  7 14:19:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2648e583

app-portage/ufed: Update live ebuild

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-portage/ufed/ufed-9999.ebuild | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

diff --git a/app-portage/ufed/ufed-9999.ebuild 
b/app-portage/ufed/ufed-9999.ebuild
index 6ab99b399c0..3a357527b71 100644
--- a/app-portage/ufed/ufed-9999.ebuild
+++ b/app-portage/ufed/ufed-9999.ebuild
@@ -1,18 +1,23 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit eutils multilib git-r3 autotools
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/ufed.git";
+else
+       SRC_URI="https://gitweb.gentoo.org/proj/ufed.git/snapshot/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+fi
+
+inherit autotools out-of-source
 
 DESCRIPTION="Gentoo Linux USE flags editor"
 HOMEPAGE="https://wiki.gentoo.org/wiki/Ufed";
-SRC_URI=""
-EGIT_REPO_URI="git://anongit.gentoo.org/proj/ufed.git"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
 IUSE=""
 
 COMMON_DEPEND="sys-libs/ncurses:0="
@@ -22,11 +27,11 @@ DEPEND="${COMMON_DEPEND}
        virtual/pkgconfig"
 
 src_prepare() {
+       default
        # Change the version number to reflect the ebuild version
-       sed -i "s:,\[git\],:,\[9999-${EGIT_VERSION}\],:" configure.ac
-       eautoreconf
-}
+       local REPLACEMENT_VERSION_STR="${PVR}"
+       [[ ${PV} == *9999 ]] && REPLACEMENT_VERSION_STR+="-${EGIT_VERSION}"
+       sed -i "s:,\[git\],:,\[${REPLACEMENT_VERSION_STR}\],:" configure.ac || 
die
 
-src_configure() {
-       econf --libexecdir="${EPREFIX}"/usr/$(get_libdir)/ufed
+       eautoreconf
 }

Reply via email to